Constructs DbData by parsing the data value argument in HTML page. The format for the String is the same as the data file format, except that each line is ended by a vertical bar "|".
Construct DbData by parsing the data value argument in HTML page. The format for the String is the same as the data file format, except that each line is ended by a vertical bar "|".
Defines quadbase.util.IFormat
Format the object if it is a instance of java.sql.Date, java.sql.Time or java.sql.Timestamp
Otherwise, return its toString() value
parent contains the information for which report
this parameter belongs to, name is the name of the parameter
and isFormula checks for formula or query parameter
Deprecated.Please use getTickerStep(int colIndex) The step size of ticker
should equal step size of grid, except after label filtering
for date-time chart
Deprecated.use QbChart.getParameterPage(String, int, String) instead
For parameterized chart, generate the html page body for user to enter the parameters
Deprecated.use QbChart.getParameterPage(String, int, String) instead
For parameterized chart, generate the html page body for user to enter the paramters
Valid for horizontal lines and vertical lines only
Get the line style of this line
Please see setLineStyles method in quadbase.util.IDataPointSet for the
definition of line style
Returns alignment position for the stack section labels
alignment position: QbChart.TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT,
QbChart.TOP_ALIGNMENT_INSIDE, QbChart.BOTTOM_ALIGNMENT_INSIDE
Returns alignment position for the top labels
alignment position: QbChart.TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT,
QbChart.TOP_ALIGNMENT_INSIDE, QbChart.BOTTOM_ALIGNMENT_INSIDE
This interface defines initializeGraphics and finalizeGraphics methods.
These methods can be used to add graphics before and after adding a chart to the canvas.
This class is used to draw control lines in a chart
You may call newControlLine(...) of IDataLineSet interface to get a new object
For instance,
QbChart chart = new QbChart(...);
IControlLine line = chart.gethDataLineSet().newControlLine(...);
You may use setSeries(String series) method of IDataLine interface to
set the corresponding series of the control line
This class is used to draw function lines y = f(x) in a 2D scatter chart
You may call newFunctionLine(...) of IDataLineSet interface to get a new object
Note: (1) This class is only useful for 2D scatter charts.
This interface is used to customize modifiers and clicks for performing
common mouse operations like dragging and resizing of a chart, hyperlinks,
zooming, etc.
This interface is used to set/get properties associated with
the popup menu in chartviewer
A handle to an object that implements that interface can be
obtained by calling the gethPopupMenu method in QbChart.
Returns whether a chart use same scale system for primary and secondary axis
if so, return true, else return false
Not available for 100% percent column chart
Returns a new annotation object with a specific referenced object
If the value of refObj is null, the reference point is the lower-left corner of the panel
This interface represents a parameter used in a template, it
can be used to retrieve information about the parameter such as
name, prompt name, as well as set or get its current values.